<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Books</title>
</head>
<body>

<div th:each="book : ${books}">
    <a th:href="@{/books/{id}(id=${book.getId()})}"
       th:text="${book.getBookName() + ', ' + book.getAuthor() + ', ' + book.getYear()}">user</a>
</div>

<br/>
<hr/>

<a href="/books/new">Добавить новую книгу</a>

</body>
</html>